﻿using GroceryList.Interfaces;
using GroceryList.UWP;

using System;
using System.Diagnostics;

using Xamarin.Forms;

[assembly: Dependency(typeof(UWPHtmlShare))]
namespace GroceryList.UWP
{
    public class UWPHtmlShare : IUWPShare
    {
        public async void HtmlShare(string fileName)
        {

            // Create htmllist.html file; replace if exists.
            var storageFolder =
                Windows.Storage.ApplicationData.Current.LocalFolder;
            var htmlFile =
                await storageFolder.CreateFileAsync("htmllist.html",
                    Windows.Storage.CreationCollisionOption.ReplaceExisting);

            await Windows.Storage.FileIO.WriteTextAsync(htmlFile, fileName);

            if (htmlFile == null) return;
            var options = new Windows.System.LauncherOptions {DisplayApplicationPicker = true};

            var success = await Windows.System.Launcher.LaunchFileAsync(htmlFile, options);

            Debug.WriteLine(success ? "File opened, app launched" : "App launch failed.");
        }
    }
}
